Subject: bug#68465: segfault generating store-database on powerpc-linux

From: Efraim Flashner <[email-masked]>
Date: Mon, 15 Jan 2024 08:45:02 +0200

I'm trying to build an installation binary for powerpc-linux and I came
across a segfault while building the store-database.  Not a lot of data
to include from what I could gather.

working from commit 18393fcdddf5c3d834fa89ebf5f3925fc5b166ed
command was:
guix pack -C xz --fallback --system=powerpc-linux --localstatedir \
    --profile-name=current-guix guix --without-tests=guix --no-grafts

This happened on real hardware and when using qemu emulation.
strace output attached

from dmesg (on ibook g4):
[341164.409936] guile[30177]: segfault (11) at 4000 nip fee9bc8 lr feea32c code 1 in libguile-3.0.so.1.6.0[feb0000+cb000]
[341164.423495] guile[30177]: code: 7c0803a6 4e800020 2c030001 5463402e 4081000c 3863000c 4e800020 5463043e
[341164.436421] guile[30177]: code: 3863000c 4e800020 70690006 40820014 <80630000> 546307fe 20630001 4e800020

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted